import e from "./_isKey.js";
import t from "./_toKey.js";
import n from "./_baseProperty.js";
import r from "./_basePropertyDeep.js";
//#region ../../node_modules/lodash-es/property.js
function i(i) {
	return e(i) ? n(t(i)) : r(i);
}
//#endregion
export { i as default };
